Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class NoSingleSectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException
                      org.apache.poi.hpsf.NoSingleSectionException

All Implemented Interfaces:
  java.io.Serializable

public class NoSingleSectionException
extends HPSFRuntimeException

This exception is thrown if one of the `PropertySet`'s convenience methods that require a single `Section` is called and the `PropertySet` does not contain exactly one `Section`.

The constructors of this class are analogous to those of its superclass and documented there.

Since:
  2002-02-09
Version:
  $Id: NoSingleSectionException.java,v 1.6.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  Serialized Form

Constructor Summary
`NoSingleSectionException()`
`NoSingleSectionException(java.lang.String msg)`
`NoSingleSectionException(java.lang.String msg, java.lang.Throwable reason)`
`NoSingleSectionException(java.lang.Throwable reason)`

Methods inherited from class org.apache.poi.hpsf.HPSFRuntimeException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSingleSectionException

    public NoSingleSectionException()

### NoSingleSectionException

    public NoSingleSectionException(java.lang.String msg)

### NoSingleSectionException

    public NoSingleSectionException(java.lang.Throwable reason)

### NoSingleSectionException

    public NoSingleSectionException(java.lang.String msg,
                                    java.lang.Throwable reason)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.